import express, { Application } from 'express'
import { initializeRoutes } from './src/Startup/routes'
import { MongoConnectionProvider } from './src/Database/MongoConnectionProvider'
import jwt from 'jsonwebtoken'

// Server configuration
const server:Application = express();

// InitaliseRoutes
initializeRoutes(server)

// Database configuration
export const MongoClient = new MongoConnectionProvider('friends','localhost', 27019)
MongoClient.Connect()

// MongoClient.Connection.dropDatabase()
console.log(jwt.sign('a', "abcdefg12345"))
console.log(jwt.sign('b', "abcdefg12345"))
console.log(jwt.sign('c', "abcdefg12345"))

server.listen(9003, ():void => {
  console.log('Service: Running here 👉 https://localhost:9003')
})